Installation

It's time to play with Bearer 🐻

To start building functions, first you need to install Bearer framework.

Requirements

Make sure your computer meets these requirements:

We also recommend the following:

  • NVM will prevent permission issues coming from the installation

  • Use VS Code (Their amazing TypeScript autocomplete support works great with Bearer!)

  • Also, if you've never used TypeScript, we recommend this 5 min crash course

Setup

Bearer uses a modern build setup with no configuration. Using Facebook's create-react-app as inspiration, we call it create-bearer.

Installing Bearer and creating your first integration takes a single, one-line command:

NPM
Yarn
NPX
npm init bearer helloWorld
yarn create bearer helloWorld
npx create-bearer helloWorld